package Microsoft::AdCenter::V6::CampaignManagementService::StandardBusinessIcon;
# Copyright (C) 2011 Xerxes Tsang
# This program is free software; you can redistribute it and/or modify it
# under the terms of Perl Artistic License.

use strict;
use warnings;

=head1 NAME

Microsoft::AdCenter::V6::CampaignManagementService::StandardBusinessIcon - Represents "StandardBusinessIcon" in Microsoft AdCenter Campaign Management Service.

=head1 SYNOPSIS

See L<http://msdn.microsoft.com/en-us/library/ee730327.aspx> for documentation of the various data objects.

=head1 ENUMERATION VALUES

Accommodations
BankOrFinanceOrCurrencyExchange
BankOrFinanceOrCurrencyExchangeEUR
BankOrFinanceOrCurrencyExchangeUK
CafeOrCoffeeShop
CarDealerOrServiceOrRental
FlowersOrGarden
GroceryOrDepartmentStore
HairdresserOrBarberOrTailor
HardwareOrRepair
HousewaresOrRealEstateOrHomeRepair
MoviesOrVideo
PhonesOrServiceProvider
PubOrBarOrLiquor
RestaurantOrDining
ShoppingOrBoutique

=cut

sub Accommodations {
    return 'Accommodations';
}

sub BankOrFinanceOrCurrencyExchange {
    return 'BankOrFinanceOrCurrencyExchange';
}

sub BankOrFinanceOrCurrencyExchangeEUR {
    return 'BankOrFinanceOrCurrencyExchangeEUR';
}

sub BankOrFinanceOrCurrencyExchangeUK {
    return 'BankOrFinanceOrCurrencyExchangeUK';
}

sub CafeOrCoffeeShop {
    return 'CafeOrCoffeeShop';
}

sub CarDealerOrServiceOrRental {
    return 'CarDealerOrServiceOrRental';
}

sub FlowersOrGarden {
    return 'FlowersOrGarden';
}

sub GroceryOrDepartmentStore {
    return 'GroceryOrDepartmentStore';
}

sub HairdresserOrBarberOrTailor {
    return 'HairdresserOrBarberOrTailor';
}

sub HardwareOrRepair {
    return 'HardwareOrRepair';
}

sub HousewaresOrRealEstateOrHomeRepair {
    return 'HousewaresOrRealEstateOrHomeRepair';
}

sub MoviesOrVideo {
    return 'MoviesOrVideo';
}

sub PhonesOrServiceProvider {
    return 'PhonesOrServiceProvider';
}

sub PubOrBarOrLiquor {
    return 'PubOrBarOrLiquor';
}

sub RestaurantOrDining {
    return 'RestaurantOrDining';
}

sub ShoppingOrBoutique {
    return 'ShoppingOrBoutique';
}

1;
