package Microsoft::AdCenter::V6::ReportingService::TrafficSourcesReportColumn;
# Copyright (C) 2011 Xerxes Tsang
# This program is free software; you can redistribute it and/or modify it
# under the terms of Perl Artistic License.

use strict;
use warnings;

=head1 NAME

Microsoft::AdCenter::V6::ReportingService::TrafficSourcesReportColumn - Represents "TrafficSourcesReportColumn" in Microsoft AdCenter Reporting Service.

=head1 SYNOPSIS

See L<http://msdn.microsoft.com/en-us/library/ee730327.aspx> for documentation of the various data objects.

=head1 ENUMERATION VALUES

AccountId
AccountName
AccountNumber
Assists
Conversions
FunnelConversionRate
Goal
Revenue
RevenuePerConversion
Source
Step1Count
Step2Count
Step3Count
Step4Count
Step5Count
TimePeriod

=cut

sub AccountId {
    return 'AccountId';
}

sub AccountName {
    return 'AccountName';
}

sub AccountNumber {
    return 'AccountNumber';
}

sub Assists {
    return 'Assists';
}

sub Conversions {
    return 'Conversions';
}

sub FunnelConversionRate {
    return 'FunnelConversionRate';
}

sub Goal {
    return 'Goal';
}

sub Revenue {
    return 'Revenue';
}

sub RevenuePerConversion {
    return 'RevenuePerConversion';
}

sub Source {
    return 'Source';
}

sub Step1Count {
    return 'Step1Count';
}

sub Step2Count {
    return 'Step2Count';
}

sub Step3Count {
    return 'Step3Count';
}

sub Step4Count {
    return 'Step4Count';
}

sub Step5Count {
    return 'Step5Count';
}

sub TimePeriod {
    return 'TimePeriod';
}

1;
