package Microsoft::AdCenter::V7::CampaignManagementService::IncrementalBidPercentage;
# Copyright (C) 2011 Xerxes Tsang
# This program is free software; you can redistribute it and/or modify it
# under the terms of Perl Artistic License.

use strict;
use warnings;

=head1 NAME

Microsoft::AdCenter::V7::CampaignManagementService::IncrementalBidPercentage - Represents "IncrementalBidPercentage" in Microsoft AdCenter Campaign Management Service.

=head1 SYNOPSIS

See L<http://msdn.microsoft.com/en-us/library/ee730327.aspx> for documentation of the various data objects.

=head1 ENUMERATION VALUES

EightyPercent
FiftyPercent
FortyPercent
NegativeEightyPercent
NegativeFiftyPercent
NegativeFortyPercent
NegativeNinetyPercent
NegativeOneHundredPercent
NegativeSeventyPercent
NegativeSixtyPercent
NegativeTenPercent
NegativeThirtyPercent
NegativeTwentyPercent
NinetyPercent
OneHundredPercent
SeventyPercent
SixtyPercent
TenPercent
ThirtyPercent
TwentyPercent
ZeroPercent

=cut

sub EightyPercent {
    return 'EightyPercent';
}

sub FiftyPercent {
    return 'FiftyPercent';
}

sub FortyPercent {
    return 'FortyPercent';
}

sub NegativeEightyPercent {
    return 'NegativeEightyPercent';
}

sub NegativeFiftyPercent {
    return 'NegativeFiftyPercent';
}

sub NegativeFortyPercent {
    return 'NegativeFortyPercent';
}

sub NegativeNinetyPercent {
    return 'NegativeNinetyPercent';
}

sub NegativeOneHundredPercent {
    return 'NegativeOneHundredPercent';
}

sub NegativeSeventyPercent {
    return 'NegativeSeventyPercent';
}

sub NegativeSixtyPercent {
    return 'NegativeSixtyPercent';
}

sub NegativeTenPercent {
    return 'NegativeTenPercent';
}

sub NegativeThirtyPercent {
    return 'NegativeThirtyPercent';
}

sub NegativeTwentyPercent {
    return 'NegativeTwentyPercent';
}

sub NinetyPercent {
    return 'NinetyPercent';
}

sub OneHundredPercent {
    return 'OneHundredPercent';
}

sub SeventyPercent {
    return 'SeventyPercent';
}

sub SixtyPercent {
    return 'SixtyPercent';
}

sub TenPercent {
    return 'TenPercent';
}

sub ThirtyPercent {
    return 'ThirtyPercent';
}

sub TwentyPercent {
    return 'TwentyPercent';
}

sub ZeroPercent {
    return 'ZeroPercent';
}

1;
